package de.hawhamburg.reachability.sensor.enumeration;

/**
 * Enumeration of different system states.<br><br>
 * 
 * This enumeration provides the system with all defined system states a systems sensor adapter may produce.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public enum SystemStates {
    /**
     * There is a location called <i>OFF</i> defined.
     */
    OFF,
    /**
     * There is a location called <i>ON</i> defined.
     */
    ON,
    /**
     * There is a location called <i>NO_ACTIVITY</i> defined.
     */
    NO_ACTIVITY,
    /**
     * There is a location called <i>PRIVATE_CONTEXT</i> defined.
     */
    PRIVATE_CONTEXT,
    /**
     * There is a location called <i>WORK_CONTEXT</i> defined.
     */
    WORK_CONTEXT,
    /**
     * There is a location called <i>GAMEING_CONTEXT</i> defined.
     */
    GAMEING_CONTEXT,
    /**
     * There is a location called <i>GAMING_CONTEXT_PAUSED</i> defined.
     */
    GAMING_CONTEXT_PAUSED,
}
